dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
--LManager:AddGame(eGAME_COMBO);

--square block formation
LManager:AddTable(eTYPE_TABLE1, 200, 260);
LManager:AddTable(eTYPE_TABLE2, 380, 260);
LManager:AddTable(eTYPE_TABLE3, 560, 260);
LManager:AddTable(eTYPE_TABLE4, 200, 375);
LManager:AddTable(eTYPE_TABLE5, 380, 375);
LManager:AddTable(eTYPE_TABLE6, 560, 375);

seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED9);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED8);
seated.tableIdx = 6;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 48000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 93000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 10000;
guest.needs[2] = eWANT_GIFT;
guest.times[2] = 55000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 100000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 207000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 235000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 266000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 17000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 59000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 104000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 150000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 199000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 215000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 228000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST9);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 24000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 68000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 108000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 144000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 190000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 212000;
guest.needs[7] = eWANT_DRINK;
guest.times[7] = 242000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST1);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 31000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 74000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 112000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 138000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 158000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 190000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 249000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 38000;
guest.needs[2] = eWANT_GIFT;
guest.times[2] = 85000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 125000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 166000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 183000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 256000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(2,9);
LManager:SetLevelScores(9000, 9495);
LManager:SetLevelTime(45000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();